Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
IP Address in Footer for vB 4 Details »
IP Address in Footer for vB 4
Mod Version: 1.0.0, by Boofo (R.I.P.) Boofo is offline
Developer Last Online: Jun 2012 I like it Show Printable Version Email this Page

vB Version: 4.x.x Rating: (12 votes - 4.83 average) Installs: 55
Released: 10 Jan 2012 Last Update: 10 Jan 2012 Downloads: 281
Not Supported Uses Plugins Auto-Template Additional Files  

IP Address in Footer for vB 4
Version 1.0.0
(By Boofo)

What does this product do?
This mod will add the viewing user's IP Address, OS version and Browser version after the copyright text in the footer template.

Version Information:
Version 1.0.0 --Initial release for vB 4

Installation Overview:
---------------------------
1 Product XML (1 Plugin and 4 Phrases)
2 Files (located in the upload/includes directory of this product ZIP file)

Installation Instructions:
----------------------------
1. Upload the files to the forums/includes directory on your site.

2. Go to your Admin CP
Scroll down to 'Plugin System'
Click 'Manage Products'
Click 'Add/Import Product'
Click the 'Browse' button, and locate the product-boofo_footer_ip.xml file on your computer
------------------------------------------------------

Done!
Enjoy!



Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Download Now

Only licensed members can download files, Click Here for more information.

Screenshots

Click image for larger version

Name:	logged_in.png
Views:	849
Size:	2.7 KB
ID:	135679   Click image for larger version

Name:	logged_out.png
Views:	690
Size:	2.7 KB
ID:	135680  

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • If you like this modification support the author by donating.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
  #16  
Old 09 Feb 2012, 08:39
TombstoneWarrior's Avatar
TombstoneWarrior TombstoneWarrior is offline
 
Join Date: Jan 2012
CANT INSTALL GET THIS ERROR " The following dependencies were not met:
1.This product is not compatible with version 4.1.9 of vBulletin. (Compatible starting with 4.0.0 / Incompatible with 4.0.99 and greater)" ANY HELP???
__________________
[B][I] IM A NEWBIE AT THIS PLEASE HELP ME WHERE YOU CAN. ALL THIS IS SO NEW TO ME!!
Reply With Quote
  #17  
Old 09 Feb 2012, 09:01
Boofo's Avatar
Boofo Boofo is offline
 
Join Date: Mar 2002
Real name: Rob
This mod has no dependencies set. No way you are getting that error from this mod, sorry.
Reply With Quote
  #18  
Old 12 Mar 2012, 07:02
brishi brishi is offline
 
Join Date: Feb 2012
Marked and rated.
Thank you for sharing this.


Cheers,
BriShi
Reply With Quote
  #19  
Old 16 Jul 2012, 04:32
thecore762 thecore762 is offline
 
Join Date: Jul 2008
The last great mod Boofo made, voted & nominated.
Thank you buddy!
R.I.P
__________________
www.47r-squad.com BF3|CS:S|TF2|L4D2 Gaming community
Reply With Quote
  #20  
Old 30 Jul 2012, 00:53
SuperTaz's Avatar
SuperTaz SuperTaz is offline
 
Join Date: Apr 2007
Real name: Jeremy
Thanks Boofo. R.I.P.
Nominated as well.
__________________
Global Gamers
My Modifications
Reply With Quote
  #21  
Old 30 Jul 2012, 01:36
DAMINK DAMINK is offline
 
Join Date: Jun 2010
WHAT THE HELL! Rob died?
Holy crap! Sorry i had no idea!!!!!!!!!!
Sorry to jump the thread but i just read the above and well im lost for words!!!!!!!
What happened can anyone share with me?
Damn Rob was a great guy too!!!!!
__________________
FTW Forum <- Home of the damned!
Reply With Quote
  #22  
Old 30 Jul 2012, 01:51
bzcomputers's Avatar
bzcomputers bzcomputers is offline
 
Join Date: Apr 2012
Originally Posted by DAMINK View Post
WHAT THE HELL! Rob died?
Holy crap! Sorry i had no idea!!!!!!!!!!
Sorry to jump the thread but i just read the above and well im lost for words!!!!!!!
What happened can anyone share with me?
Damn Rob was a great guy too!!!!!
http://www.vbulletin.org/forum/showt...ighlight=boofo
Reply With Quote
  #23  
Old 25 Jul 2014, 23:21
john7911 john7911 is offline
 
Join Date: Feb 2013
Thank you very much
Reply With Quote
  #24  
Old 12 Mar 2015, 19:51
NetTraptor NetTraptor is offline
 
Join Date: Dec 2009
Small mod to support IPv6.

Change


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

To this in the includes/functions_boofo.php


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Reply With Quote
  #25  
Old 16 Apr 2015, 06:09
Techno Cowboy's Avatar
Techno Cowboy Techno Cowboy is offline
 
Join Date: May 2014
Real name: Cheyenne
Installed....works great with vB 4.2.2 pl 4, also working well with vB 4.2.3 Beta 4!
Reply With Quote
  #26  
Old 11 Feb 2017, 10:08
Techno Cowboy's Avatar
Techno Cowboy Techno Cowboy is offline
 
Join Date: May 2014
Real name: Cheyenne
Post PHP Deprecated Error - Browser PHP Fix

I've had this mod for awhile now and it has worked great through various 4.x.x vB stages!

It's running now on 4.2.5 B1 with only one problem I found when switching to PHP 7...It kept logging in error log;

"PHP Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Browser has a deprecated constructor in /home/xxxxx/public_html/includes/Browser.php on line 135 "

After searching the original author of the Browser PHP file, lead me to GitHub and a 2016 updated Browser PHP file...

More Info @ GitHub

Downloaded & replaced old file and PHP Deprecated Error logging stop!

Mod is working well!
I have attached the newer Browser PHP file for those that still use this great mod and running it with vB 4.2.5 and PHP 7.
Attached Files
File Type: php Browser.php (47.5 KB, 7 views)
__________________
"When We Realize We Let It Go TOO Far.....It Will Be TOO Late!"

Last edited by Techno Cowboy; 11 Feb 2017 at 10:27. Reason: additional info
Reply With Quote
  #27  
Old 15 Feb 2017, 17:24
BadgerDog BadgerDog is offline
 
Join Date: Oct 2006
Real name: Doug
Originally Posted by Techno Cowboy View Post
I've had this mod for awhile now and it has worked great through various 4.x.x vB stages!
Mod is working well!
I have attached the newer Browser PHP file for those that still use this great mod and running it with vB 4.2.5 and PHP 7.
For clarity, I'm still running vBulletin 4.13pl8 and PHP Version 5.6.30, but can I sill use your version of Browser.php?

Thanks..

Regards,
Doug
Reply With Quote
  #28  
Old 10 Mar 2017, 06:18
Techno Cowboy's Avatar
Techno Cowboy Techno Cowboy is offline
 
Join Date: May 2014
Real name: Cheyenne
Smile

Originally Posted by BadgerDog View Post
For clarity, I'm still running vBulletin 4.13pl8 and PHP Version 5.6.30, but can I sill use your version of Browser.php?

Thanks..

Regards,
Doug

Don't see why not,the updated Browser.php was written after PHP 5.6 was release!

Also FYI if you were not aware;

As it is the final PHP 5 release (EOL), support for PHP 5.6 has been extended: active support will run for an additional four months, and the security fix period has been doubled from one to two year

More Info here @ PHP Net ....

Many Blessings,
Cheyenne
__________________
"When We Realize We Let It Go TOO Far.....It Will Be TOO Late!"

Last edited by Techno Cowboy; 10 Mar 2017 at 06:32. Reason: Add info
Reply With Quote
  #29  
Old 10 Mar 2017, 12:03
BadgerDog BadgerDog is offline
 
Join Date: Oct 2006
Real name: Doug
Originally Posted by Techno Cowboy View Post
Don't see why not,the updated Browser.php was written after PHP 5.6 was release!
Thanks ..

Regards,
Doug
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 16:15.

Layout Options | Width: Wide Color: